<!doctype html>
{% load static %}
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">

    <title>TO-DO-IQBAL</title>
  </head>

  <body class="home">
    
    <div class="container-fluid">

        <div class="row justify-content-center row1">
            <div class="col-md-6">
                <h1 class="headText" id="headingText">IQBALPROJECTX</h1>
            </div>
            <div class="col-md-5">
                <nav class="navbar navbar-expand-lg bg-black">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
                      <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                      <div class="navbar-nav ml-auto navItem">
                        <a class="nav-item nav-link" href="{% url 'home' %}">Home <span class="sr-only">(current)</span></a>
                        <a class="nav-item nav-link" href="{% url 'todo_create' %}">Add</a>
                        <a class="nav-item nav-link active" href="{% url 'todo' %}">See</a>
                      </div>
                    </div>
                  </nav>
            </div>
        </div>


        <div class="row justify-content-center align-items-center row3 ">
                <h1 class="formText">To-Do List</h1>
        </div>
        
        <div class="row justify-content-center align-items-center button">
            <div class = 'form-group'>
                <a href="{% url 'todo_delete' %}"><button type="button" class= "btn btn-secondary btn-lg btn-sm">Clear</button></a>
                <a href="{% url 'todo_create' %}"><button type="button" class= "btn btn-secondary btn-lg btn-sm">Create</button></a>
            </div>
        </div>

        <div class="row justify-content-center align-items-center row2 form">
                    <div class="container backforms">
                                <div class="article">
                                    <a href="{% url 'todo' %}"></a>
                                    <div class="article">
                                        <div class="row">
                                            {% for todo in todos %}
                                                <div class="col-sm-3 text-center formBox">
                                                    <h2>{{ todo.activity }}</h2>
                                                    <p>{{ todo.date.date }}</p>
                                                    <p>{{ todo.time}}</p>
                                                    <p>{{ todo.place }}</p>
                                                    <p>{{ todo.category }}</p>
                                                    <a href="{% url 'todo_deletesatu' id=todo.id %}"><button type ="button" class="btn btn-danger btn-sm mt-3">Delete</button></a>
                                                    </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                </div>
                    </div>
        </div>

        

    </div>

    


    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  </body>
</html>